FM(1)

NAME
fmscan - scan FM band for radio stations

SYNOPSIS

fm [ -h ] [ -d device ] [ -t tuner ] [ -s freq ] [ -e freq ] [ -i freq ] [ -q ]

DESCRIPTION
fmscan is a program to scan a frequency band for radio stations, using the video4linux interface introduced in 2.1.x series Linux kernels. It shows which ones have a accumulated signal strength of 50% or higher.

  OPTIONS

-h  Print a usage message to standard output, and exit.

-d device
    Sets device as the device to tune. The default is /dev/radio0.

-t tuner
    Sets tuner as the tuner on the selected device to adjust. The default is tuner 0. Most radio devices have only a single tuner.

-s freq
    Starting frequency for scan, in MHz. Default: 87.9.

-e freq
    Ending frequency for scan, in MHz. Default: 107.9.

-i freq
    Increment between scanned channels, in MHz. Default: 0.2.

-t percent
    Signal strength threshold to consider a channel. Default: 50%.

-q  Quiet mode. Suppresses progress output.

BUGS
This process can take a while, and results vary greatly depending on the radio card in use. If your card's hardware cannot report signal strength, it will not produce useful results.

This program may not do much if your radio card's driver doesn't support fine tuning in 1/16000 MHz offsets. By default, V4L2 assumes 1/16 MHz tuning units, which introduces evil rounding errors on many frequencies.

Supports only tuner 0 on any given device.

SEE ALSO

Additional documentation:
    /usr/share/doc/fmtools

The fmtools homepage:
    http://benpfaff.org/fmtools

AUTHORS
Russell Kroll <rkroll@exploits.org>, now maintained by Ben Pfaff <blp@cs.stanford.edu>. This manpage is written by Ben Pfaff.